# PSF-LoginServer - master - net.psforever.objects.ballistics.VehicleSource
PSF - LoginServer - master - net.psforever.objects.ballistics.VehicleSource
Keywords: PSF LoginServer master net.psforever.objects.ballistics.VehicleSource

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package ballistics
  Definition Classes
    objects
- AggravatedDamage
- AggravatedInfo
- AggravatedTiming
- ChargeDamage
- DeployableSource
- NonvitalDefinition
- ObjectSource
- PlayerSource
- Projectile
- ProjectileQuality
- Projectiles
- SameAsQuality
- SourceEntry
- VehicleSource

c

net.psforever.objects.ballistics

# VehicleSource 

###
Companion object VehicleSource

#### final case class VehicleSource(obj_def: VehicleDefinition, faction: types.PlanetSideEmpire.Value, health: Int, shields: Int, position: Vector3, orientation: Vector3, velocity: Option[Vector3], modifiers: ResistanceProfile) extends SourceEntry with Product with Serializable

Source
  VehicleSource.scala

Linear Supertypes
Serializable, Product, Equals, SourceEntry, WorldEntity, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. VehicleSource
2. Serializable
3. Product
4. Equals
5. SourceEntry
6. WorldEntity
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new VehicleSource(obj_def: VehicleDefinition, faction: types.PlanetSideEmpire.Value, health: Int, shields: Int, position: Vector3, orientation: Vector3, velocity: Option[Vector3], modifiers: ResistanceProfile)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def CharId: Long
   Definition Classes
     SourceEntry
5.  def Definition: VehicleDefinition
   Definition Classes
     VehicleSource → SourceEntry
6.  def Faction: types.PlanetSideEmpire.Value
   Definition Classes
     VehicleSource → SourceEntry
7.  def Health: Int
8.  def Modifiers: ResistanceProfile
   Definition Classes
     VehicleSource → SourceEntry
9.  def Name: String
   Definition Classes
     VehicleSource → SourceEntry
10.  def Orientation: Vector3
    Definition Classes
      VehicleSource → WorldEntity
11.  def Orientation_=(pos: Vector3): Vector3
    Definition Classes
      SourceEntry → WorldEntity
12.  def Position: Vector3
    Definition Classes
      VehicleSource → WorldEntity
13.  def Position_=(pos: Vector3): Vector3
    Definition Classes
      SourceEntry → WorldEntity
14.  def Shields: Int
15.  def Velocity: Option[Vector3]
    Definition Classes
      VehicleSource → WorldEntity
16.  def Velocity_=(pos: Option[Vector3]): Option[Vector3]
    Definition Classes
      SourceEntry → WorldEntity
17.  def Velocity_=(vec: Vector3): Option[Vector3]
    Definition Classes
      WorldEntity
18.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
19.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
20.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  val faction: types.PlanetSideEmpire.Value
22.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
23.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
24.  val health: Int
25.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
26.  def isMoving(test: Float): Boolean

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    test

      the (squared) velocity to test against

    returns

      `true`, if we are moving; `false`, otherwise

    Definition Classes
      WorldEntity
27.  def isMoving(test: Vector3): Boolean

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    test

      the velocity to test against

    returns

      `true`, if we are moving; `false`, otherwise

    Definition Classes
      WorldEntity
28.  def isMoving: Boolean

    A velocity of non-zero is the same as moving.

    A velocity of non-zero is the same as moving.

    returns

      `true`, if we are moving; `false`, otherwise

    Definition Classes
      WorldEntity
29.  val modifiers: ResistanceProfile
30.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
31.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
32.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
33.  val obj_def: VehicleDefinition
34.  val orientation: Vector3
35.  val position: Vector3
36.  def productElementNames: Iterator[String]
    Definition Classes
      Product
37.  val shields: Int
38.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
39.  val velocity: Option[Vector3]
40.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
41.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
42.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from SourceEntry

### Inherited from WorldEntity

### Inherited from AnyRef

### Inherited from Any

### Ungrouped